Loading...
Searching...
No Matches
RDKit::MolOps::RemoveHsParameters Struct Reference

`#include <MolOps.h>`

## Public Attributes

bool | removeDegreeZero = false
bool | removeHigherDegrees = false
bool | removeOnlyHNeighbors
bool | removeIsotopes = false
bool | removeAndTrackIsotopes = false
bool | removeDummyNeighbors
bool | removeDefiningBondStereo
bool | removeWithWedgedBond = true
bool | removeWithQuery = false
bool | removeMapped = true
bool | removeInSGroups = true
bool | showWarnings = true
bool | removeNonimplicit = true
bool | updateExplicitCount
bool | removeHydrides = true
bool | removeNontetrahedralNeighbors

## Detailed Description

Definition at line 280 of file MolOps.h.

## Member Data Documentation

## removeAndTrackIsotopes

bool RDKit::MolOps::RemoveHsParameters::removeAndTrackIsotopes = false

removes hydrogens with non-default isotopes and keeps track of the heavy atom the isotopes were attached to in the private _isotopicHs atom property, so they are re-added by AddHs() as the original isotopes if possible

Definition at line 286 of file MolOps.h.

## removeDefiningBondStereo

bool RDKit::MolOps::RemoveHsParameters::removeDefiningBondStereo

Initial value:
=
false

hydrogens defining bond stereochemistry

Definition at line 292 of file MolOps.h.

## removeDegreeZero

bool RDKit::MolOps::RemoveHsParameters::removeDegreeZero = false

hydrogens that have no bonds

Definition at line 281 of file MolOps.h.

## removeDummyNeighbors

bool RDKit::MolOps::RemoveHsParameters::removeDummyNeighbors

Initial value:
=
false

hydrogens with at least one dummy-atom neighbor

Definition at line 290 of file MolOps.h.

## removeHigherDegrees

bool RDKit::MolOps::RemoveHsParameters::removeHigherDegrees = false

hydrogens with two (or more) bonds

Definition at line 282 of file MolOps.h.

## removeHydrides

bool RDKit::MolOps::RemoveHsParameters::removeHydrides = true

Removing Hydrides

Definition at line 305 of file MolOps.h.

## removeInSGroups

bool RDKit::MolOps::RemoveHsParameters::removeInSGroups = true

part of a SubstanceGroup. An H atom will only be removed if it doesn't cause any SGroup to become empty, and if it doesn't play a special role in the SGroup (XBOND, attach point or a CState)

Definition at line 297 of file MolOps.h.

## removeIsotopes

bool RDKit::MolOps::RemoveHsParameters::removeIsotopes = false

hydrogens with non-default isotopes

Definition at line 285 of file MolOps.h.

## removeMapped

bool RDKit::MolOps::RemoveHsParameters::removeMapped = true

mapped hydrogens

Definition at line 296 of file MolOps.h.

Referenced by RDKit::RGroupMatch::getTargetMoleculeForHighlights().

## removeNonimplicit

bool RDKit::MolOps::RemoveHsParameters::removeNonimplicit = true

DEPRECATED equivalent of !implicitOnly

Definition at line 302 of file MolOps.h.

## removeNontetrahedralNeighbors

bool RDKit::MolOps::RemoveHsParameters::removeNontetrahedralNeighbors

Initial value:
=
false

remove Hs which are bonded to atoms with specified non-tetrahedral stereochemistry

Definition at line 306 of file MolOps.h.

## removeOnlyHNeighbors

bool RDKit::MolOps::RemoveHsParameters::removeOnlyHNeighbors

Initial value:
=
false

hydrogens with bonds only to other hydrogens

Definition at line 283 of file MolOps.h.

## removeWithQuery

bool RDKit::MolOps::RemoveHsParameters::removeWithQuery = false

hydrogens with queries defined

Definition at line 295 of file MolOps.h.

## removeWithWedgedBond

bool RDKit::MolOps::RemoveHsParameters::removeWithWedgedBond = true

hydrogens with wedged bonds to them

Definition at line 294 of file MolOps.h.

## showWarnings

bool RDKit::MolOps::RemoveHsParameters::showWarnings = true

display warnings for Hs that are not removed

Definition at line 301 of file MolOps.h.

## updateExplicitCount

bool RDKit::MolOps::RemoveHsParameters::updateExplicitCount

Initial value:
=
false

DEPRECATED equivalent of updateExplicitCount

Definition at line 303 of file MolOps.h.

The documentation for this struct was generated from the following file:

- MolOps.h